### A free/open-source library for quantitative finance

Public Member Functions
RiskyAssetSwap Class Reference

Risky asset-swap instrument. More...

`#include <ql/experimental/credit/riskyassetswap.hpp>`

Inheritance diagram for RiskyAssetSwap:
[legend]

List of all members.

## Public Member Functions

| RiskyAssetSwap (bool fixedPayer, Real nominal, const Schedule &fixedSchedule, const Schedule &floatSchedule, const DayCounter &fixedDayCounter, const DayCounter &floatDayCounter, Rate spread, Rate recoveryRate_, const Handle< YieldTermStructure > &yieldTS, const Handle< DefaultProbabilityTermStructure > &defaultTS, Rate coupon=Null< Rate >())
Real | fairSpread ()
Real | floatAnnuity () const
Real | nominal ()
Rate | spread ()
bool | fixedPayer ()

## Detailed Description

Risky asset-swap instrument.